Package org.eclipse.mat.parser.internal.util

# Class IntStack

java.lang.Object
org.eclipse.mat.parser.internal.util.IntStack

public class IntStack extends Object

## Constructor Summary

Constructors
Constructor
Description
`IntStack()`
`IntStack(int capacity)`

## Method Summary

Modifier and Type
Method
Description
`final int`
`capacity()`
`final int`
`peek()`
`final int`
`pop()`
`final void`
`push(int i)`
`final int`
`size()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IntStack

public IntStack()

### IntStack

public IntStack(int capacity)

## Method Details

### pop

public final int pop()

### push

public final void push(int i)

### peek

public final int peek()

### size

public final int size()

### capacity

public final int capacity()